object Form1: TForm1
  Left = 131
  Top = 82
  Width = 828
  Height = 672
  Caption = 'Sliding 15 Puzzle - V 3.2'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  KeyPreview = True
  OldCreateOrder = False
  OnCreate = FormCreate
  OnKeyPress = FormKeyPress
  PixelsPerInch = 96
  TextHeight = 13
  object fstoptim: TPageControl
    Left = 0
    Top = 0
    Width = 820
    Height = 618
    ActivePage = TabSheet1
    Align = alClient
    TabOrder = 0
    object TabSheet1: TTabSheet
      Caption = 'Introduction'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
      object RichEdit1: TRichEdit
        Left = 32
        Top = 16
        Width = 713
        Height = 553
        Lines.Strings = (
          
            'This puzzle was made famous by Sam Loyd in 1878.  It'#39's original ' +
            'form for which it is named, conssists of 15 tiles'
          
            'arranged on a board with 16 cells, leaving one cell empty.  Move' +
            's are mnde by sliding any adjacent tile into the '
          
            'empty cell. Tiles may not be lifted and moved, only sliding into' +
            ' the empty cell is permitted.  The objective is move '
          
            'tiles from a starting arrangement into a given target pattern.  ' +
            'The hard problem is finding the shortest possible number '
          'of moves to a solution.'
          ''
          
            'In one version, for which Loyd offered a reward of $10,000 for a' +
            ' solution, the puzzle was made unsolvable by'
          
            'interchanging two tiles.  In fact, for any size puzzle, half of ' +
            'the possible arrangements of the tiles cannot be reached by'
          'sliding tiles.'
          ''
          'We can check this by defining a parity function as follows:'
          
            '1. List the tiles in a single string  by row from left to right ' +
            ' then top to bottom.:'
          
            '2. Sum the number of inversions (the number of tiles to the left' +
            ' of each tile which are greater than its value).'
          
            '3. If the number of columns is even, add the row of the blank sp' +
            'ace to the total.'
          ''
          
            'For the 4X4 standard configuration puzzle, the result will alway' +
            's be even for a valid starting configuration achieved by'
          
            'valid moves. It will always be odd if an odd number of tile adja' +
            'cent pair exchanges have been made.  '
          ''
          
            'Press "P" key to check parity of any board.  Press "C" to cheat ' +
            'by exchanging a random adjacent pair of tiles, thereby '
          
            'changing the parity of the board . (Empty space will be green if' +
            ' solvable, red if not solvable.)'
          ''
          
            'This program has a 6 board sizes avalaible as well as 3 target b' +
            'oard patterns.  Some of these combinations will have'
          
            'even parity, somee odd, but in all cases the parity of the curre' +
            'nt board must match the parity of the target pattern if the'
          'board is to be solvable.'
          ''
          
            'The "Scramble" button makes the specified number of random moves' +
            ' starting from the current board arrangement.'
          
            'The number of moves made on a board from its target state is an ' +
            'upper bound on the shortest solution.'
          ''
          
            'The "Solveit" button searches for a solution based on methods no' +
            't discussed here.  Suffice it to say that low "Weight '
          'for'
          
            'Distance" values (3 to 10) produce shorter solutions but run lon' +
            'ger.  High weight values (e.g. 100 or more) find less'
          'optimal (longer) solutions faster.'
          ''
          
            'You can click "Return to Start" button at any time except while ' +
            'the program is searching for a solution. The start '
          
            'configuration is updated after each "Scramble" button click, and' +
            ' after each tile exchange in "Setup" mode.')
        ScrollBars = ssVertical
        TabOrder = 0
      end
    end
    object TabSheet2: TTabSheet
      Caption = 'Play'
      ImageIndex = 1
      object Label1: TLabel
        Left = 280
        Top = 480
        Width = 41
        Height = 16
        Caption = 'Moves'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'MS Sans Serif'
        Font.Style = []
        ParentFont = False
      end
      object Panel1: TPanel
        Left = 336
        Top = 8
        Width = 289
        Height = 289
        BevelOuter = bvNone
        Caption = 'Panel1'
        Color = clLime
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -16
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 0
        Visible = False
      end
      object Memo1: TMemo
        Left = 336
        Top = 312
        Width = 441
        Height = 225
        ScrollBars = ssVertical
        TabOrder = 1
      end
      object MoveEdt: TEdit
        Left = 280
        Top = 504
        Width = 41
        Height = 32
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -19
        Font.Name = 'MS Sans Serif'
        Font.Style = []
        ParentFont = False
        ReadOnly = True
        TabOrder = 2
        Text = '0'
      end
      object SolveBtn: TButton
        Left = 16
        Top = 456
        Width = 137
        Height = 25
        Caption = 'Solve it '
        TabOrder = 3
        OnClick = SolveBtnClick
      end
      object CancelBtn: TButton
        Left = 168
        Top = 456
        Width = 137
        Height = 25
        Caption = 'Cancel'
        TabOrder = 4
        Visible = False
        OnClick = CancelBtnClick
      end
      object BtnGroup: TGroupBox
        Left = 8
        Top = 8
        Width = 313
        Height = 441
        ParentShowHint = False
        ShowHint = True
        TabOrder = 5
        object Label2: TLabel
          Left = 16
          Top = 296
          Width = 95
          Height = 13
          Caption = 'Additional Heuristics'
        end
        object Label3: TLabel
          Left = 160
          Top = 304
          Width = 95
          Height = 52
          Hint = 'High Wieght= Quicker but more moves'
          Caption = 
            'Weight for distance to solution (Higher value = faster, but like' +
            'ly more moves)'
          WordWrap = True
        end
        object Label4: TLabel
          Left = 184
          Top = 260
          Width = 90
          Height = 16
          Caption = 'random moves'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -13
          Font.Name = 'MS Sans Serif'
          Font.Style = []
          ParentFont = False
        end
        object SizeGrp: TRadioGroup
          Left = 16
          Top = 16
          Width = 113
          Height = 129
          Caption = 'Board size'
          ItemIndex = 2
          Items.Strings = (
            '2X2'
            '3X3'
            '4X4'
            '5X5'
            '4X2'
            '4X3')
          TabOrder = 0
          OnClick = SizeGrpClick
        end
        object ResetBtn: TButton
          Left = 16
          Top = 224
          Width = 113
          Height = 25
          Caption = 'Reset'
          TabOrder = 1
          OnClick = ResetBtnClick
        end
        object ScrambleBtn: TButton
          Left = 16
          Top = 256
          Width = 113
          Height = 25
          Caption = 'Scramble'
          TabOrder = 2
          OnClick = ScrambleBtnClick
        end
        object HeuristicsBox: TCheckListBox
          Left = 16
          Top = 312
          Width = 121
          Height = 57
          ItemHeight = 13
          Items.Strings = (
            'Linear Conflict'
            'Last Moves'
            'Corner Tiles')
          TabOrder = 3
          OnClick = HeuristicsBoxClick
        end
        object ScrambleEdt: TEdit
          Left = 136
          Top = 258
          Width = 25
          Height = 21
          TabOrder = 4
          Text = '20'
        end
        object UpDown1: TUpDown
          Left = 161
          Top = 258
          Width = 16
          Height = 21
          Associate = ScrambleEdt
          Min = 1
          Position = 20
          TabOrder = 5
          Wrap = False
        end
        object WeightEdt: TEdit
          Left = 261
          Top = 320
          Width = 28
          Height = 21
          Hint = 'Higher=Quicker but more moves'
          TabOrder = 6
          Text = '10'
        end
        object TargetRgrp: TRadioGroup
          Left = 152
          Top = 16
          Width = 129
          Height = 129
          Caption = 'Goal pattern'
          ItemIndex = 0
          Items.Strings = (
            'Standard'
            'Zigzag'
            'Spiral')
          TabOrder = 7
          OnClick = TargetRgrpClick
        end
        object PlayModeGrp: TRadioGroup
          Left = 16
          Top = 152
          Width = 265
          Height = 57
          Caption = 'Manual play mode'
          ItemIndex = 0
          Items.Strings = (
            'Play (click tile to be moved)'
            'Setup (click && drag tile to exchange with another)')
          TabOrder = 8
          OnClick = PlayModeGrpClick
        end
        object StartOverBtn: TButton
          Left = 16
          Top = 392
          Width = 177
          Height = 25
          Caption = 'Back to starting position'
          TabOrder = 9
          OnClick = StartOverBtnClick
        end
      end
      object ClearStatsBtn: TButton
        Left = 656
        Top = 272
        Width = 121
        Height = 25
        Caption = 'Clear statistics display'
        TabOrder = 6
        OnClick = ClearStatsBtnClick
      end
      object SolvedPanel: TPanel
        Left = 16
        Top = 488
        Width = 209
        Height = 57
        TabOrder = 7
        Visible = False
        object ReplayBtn: TButton
          Left = 16
          Top = 16
          Width = 177
          Height = 25
          Caption = 'Replay (1 move per click)'
          TabOrder = 0
          OnClick = ReplayBtnClick
        end
      end
    end
  end
  object StaticText1: TStaticText
    Left = 0
    Top = 618
    Width = 820
    Height = 20
    Cursor = crHandPoint
    Align = alBottom
    Alignment = taCenter
    Caption = 'Copyright  2000, 2006, 2007 Gary Darby,  www.DelphiForFun.org'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clBlue
    Font.Height = -13
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsUnderline]
    ParentFont = False
    TabOrder = 1
    OnClick = StaticText1Click
  end
end
